=== debian/control ===
Source: ros-kinetic-thormang3-demo
Section: misc
Priority: extra
Maintainer: Pyo <pyo@robotis.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libeigen3-dev, libqt4-dev, libyaml-cpp-dev, ros-kinetic-catkin, ros-kinetic-cmake-modules, ros-kinetic-eigen-conversions, ros-kinetic-geometry-msgs, ros-kinetic-humanoid-nav-msgs, ros-kinetic-interactive-markers, ros-kinetic-qt-build, ros-kinetic-robotis-controller-msgs, ros-kinetic-roscpp, ros-kinetic-roslib, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-thormang3-feet-ft-module-msgs, ros-kinetic-thormang3-foot-step-generator, ros-kinetic-thormang3-manipulation-module-msgs, ros-kinetic-thormang3-walking-module-msgs, ros-kinetic-visualization-msgs
Homepage: http://wiki.ros.org/thormang3_demo
Standards-Version: 3.9.2

Package: ros-kinetic-thormang3-demo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libeigen3-dev, libqt4-dev, libyaml-cpp-dev, ros-kinetic-cmake-modules, ros-kinetic-eigen-conversions, ros-kinetic-geometry-msgs, ros-kinetic-humanoid-nav-msgs, ros-kinetic-interactive-markers, ros-kinetic-qt-build, ros-kinetic-robotis-controller-msgs, ros-kinetic-roscpp, ros-kinetic-roslib, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-thormang3-action-script-player, ros-kinetic-thormang3-feet-ft-module-msgs, ros-kinetic-thormang3-foot-step-generator, ros-kinetic-thormang3-manipulation-module-msgs, ros-kinetic-thormang3-navigation, ros-kinetic-thormang3-walking-module-msgs, ros-kinetic-visualization-msgs
Description: A GUI program for controlling a THORMANG3.
 Initial posture, walking, manipulation, head control are available with this package.
